Skip to main content
`Ctrl`+`K`

# PetscObjectGetClassName

Gets the class name for any `PetscObject`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectGetClassName(PetscObject obj, const char *classname[])

Not Collective

## Input Parameter

- obj - any PETSc object, for example a `Vec`, `Mat` or `KSP`. It must be cast with a (`PetscObject`), for example, `PetscObjectGetClassName`((`PetscObject`)mat,&classname);

## Output Parameter

- classname - the class name, for example “Vec”

## See Also

`PetscObject`, `PetscClassId`, `PetscObjectGetType()`, `PetscObjectGetClassId()`

## Level

developer

## Location

src/sys/objects/gcookie.c

## Examples

src/mat/tutorials/ex7.c
src/sys/tutorials/ex6.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages